Diff of a javascript file in repository module is not displayed with layout 

2023-11-29 08:14 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed Affected version: 5.0.2

Description

The issue reported in #37626 reproduces now again no current trunk because the workaround was reverted. We should properly fix

that issue now.

Related issues:

Related to Redmine - Feature #36320: Migrate to Rails 7.2 Closed

Copied from Redmine - Defect #37626: Diff of a javascript file in repository ... Closed

Associated revisions

Revision 22555 - 2023-12-24 17:39 - Marius BĂLTEANU

Updates subversion repository fixture with test data for #39747 (#39747, #36320).

Revision 22556 - 2023-12-24 17:44 - Marius BĂLTEANU

Updates number of subversion revisions in test/unit/repository_subversion_test.rb (#39747, #36320).

Revision 22557 - 2023-12-25 02:57 - Marius BĂLTEANU

Updates number of subversion filechanges in test_fetch_changesets_from_scratch (#39747, #36320).

Revision 22562 - 2023-12-26 16:43 - Marius BĂLTEANU

Add system test for #39747.

Revision 22563 - 2023-12-26 16:47 - Marius BĂLTEANU

Fixes that diff of a javascript file in repository module is not displayed with layout in Rails 7.1

(#39747, #36320).

Revision 22564 - 2023-12-27 02:17 - Go MAEDA

Fix RuboCop offense Layout/EmptyLinesAroundClassBody introduced in r22562 (#39747, #36320).

Revision 22565 - 2023-12-27 07:02 - Go MAEDA

Fix RuboCop offense Style/HashSyntax (Don't mix styles in the same hash) introduced in r22563 (#39747, #36320).

History

#1 - 2023-11-29 08:14 - Marius BĂLTEANU

- Copied from Defect #37626: Diff of a javascript file in repository module is not displayed with layout  added

#2 - 2023-11-29 08:15 - Marius BĂLTEANU

- File deleted (error-1.png)

#3 - 2023-11-29 08:15 - Marius BĂLTEANU

- File deleted (error-2.png)

#4 - 2023-11-29 10:14 - Mischa The Evil

FWIW: I just created a history of this issue. See the following table:

Issue Fixing revision Released in Redmine Notes
https://www.redmine.org/issues/37626


Defect #11325: Unified diff link

broken on specific file/revision diff

view

r9909 2.0.4

Defect #30850: Unified diff link

broken on specific file/revision diff

view

r17962 4.0.4

Defect #31141: SCM: error when

*.yml and *.txt show

r18206 ? side-effect of #30850, unsure if 

r18206 was ever merged to a

stable-branch

Defect #32449: Diff view for .js

files in repositories is broken

r19531 4.0.7

Defect #37626: Diff of a javascript

file in repository module is not

displayed with layout

r21883 5.0.3

Defect #37732: Fix

"DEPRECATION WARNING:

Rendering actions with '.' in the

name is deprecated" in

RepositoriesController

r22489 6.0.0 (as part of #36320)

Defect #39747: Diff of a javascript

file in repository module is not

displayed with layout

n/a 6.0.0

Given the recurrency of the issue I think this needs a good look for the root cause(s) of it and needs a proper, enduring solution for the observed

behaviors (within the moving boundaries of the Rails framework over time).

#5 - 2023-11-29 10:16 - Marius BĂLTEANU

Thanks Mischa, very useful!

I've already found the root cause, but I need to add and make more tests just to be sure that we have covered the known cases.

#6 - 2023-12-10 04:58 - Marius BĂLTEANU

- Related to Feature #36320: Migrate to Rails 7.2 added

#7 - 2023-12-24 18:20 - Marius BĂLTEANU

- File 39747.diff added

The attached patch fixes the problem from my tests.

#8 - 2023-12-26 16:46 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#9 - 2023-12-26 16:49 - Marius BĂLTEANU

- Status changed from New to Resolved

- Resolution set to Fixed

#10 - 2023-12-26 16:58 - Marius BĂLTEANU

I'm not sure why I was not able to reproduce the issue using a functional test, so I covered this using a system test. The reported problem should be

fixed now un trunk, please let me know if you find any issue.

#11 - 2024-01-01 06:35 - Mischa The Evil

Marius BALTEANU wrote in #note-10:

I'm not sure why I was not able to reproduce the issue using a functional test [...]

 I'm not sure if it's related nor which functional test you mean, but I'm not sure at all whether any subversion repository fixture data from 

source:/trunk/test/fixtures/repositories/subversion_repository.dump.gz is actually used at all on Redmine CI runs given that the log entries of green

builds are outputting:

svn: E155036: Please see the 'svn upgrade' command

svn: E155036: The working copy at '/var/lib/jenkins/workspace/trunk/DATABASE_ADAPTER/mysql/RUBY_VER/ruby-3.2' is too old (format 8) to

2025-05-09 2/3

https://www.redmine.org/issues/11325
https://www.redmine.org/issues/11325
https://www.redmine.org/issues/11325
https://www.redmine.org/projects/redmine/repository/svn/revisions/9909
https://www.redmine.org/versions/54
https://www.redmine.org/issues/30850
https://www.redmine.org/issues/30850
https://www.redmine.org/issues/30850
https://www.redmine.org/projects/redmine/repository/svn/revisions/17962
https://www.redmine.org/versions/151
https://www.redmine.org/issues/31141
https://www.redmine.org/issues/31141
https://www.redmine.org/projects/redmine/repository/svn/revisions/18206
https://www.redmine.org/issues/30850
https://www.redmine.org/projects/redmine/repository/svn/revisions/18206
https://www.redmine.org/issues/32449
https://www.redmine.org/issues/32449
https://www.redmine.org/projects/redmine/repository/svn/revisions/19531
https://www.redmine.org/versions/159
https://www.redmine.org/issues/37626
https://www.redmine.org/issues/37626
https://www.redmine.org/issues/37626
https://www.redmine.org/projects/redmine/repository/svn/revisions/21883
https://www.redmine.org/versions/182
https://www.redmine.org/issues/37732
https://www.redmine.org/issues/37732
https://www.redmine.org/issues/37732
https://www.redmine.org/issues/37732
https://www.redmine.org/issues/37732
https://www.redmine.org/projects/redmine/repository/svn/revisions/22489
https://www.redmine.org/versions/175
https://www.redmine.org/issues/36320
https://www.redmine.org/issues/39747
https://www.redmine.org/issues/39747
https://www.redmine.org/issues/39747
https://www.redmine.org/versions/175
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/test/fixtures/repositories/subversion_repository.dump.gz
www.redmine.org/builds/logs/build_trunk_mysql_ruby-3.2_925.html


work with client version '1.9.3 (r1718519)' (expects format 31). You need to upgrade the working copy first.

#12 - 2024-01-01 14:45 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Mischa The Evil wrote in #note-11:

Marius BALTEANU wrote in #note-10:

I'm not sure why I was not able to reproduce the issue using a functional test [...]

 I'm not sure if it's related nor which functional test you mean, but I'm not sure at all whether any subversion repository fixture data from 

source:/trunk/test/fixtures/repositories/subversion_repository.dump.gz is actually used at all on Redmine CI runs given that the log entries of

green builds are outputting:

[...]

 

I referred to my local environment where I tried to add a test to repositories_subversion_controller_test.rb (

source:trunk/test/functional/repositories_subversion_controller_test.rb), but the problem didn't reproduce. Anyway, I think the system test is good

enough.

Files

39747.diff 3.37 KB 2023-12-24 Marius BĂLTEANU
